Subject: bug#37609: Tool-bar-mode grows the frame's height

From: Juri Linkov <[email-masked]>
Date: Wed, 05 May 2021 23:37:58 +0300

>>> Can you please check again?
>
> Did you check with Lucid?

In Lucid

((outer-size 696 . 706) (outer-size 696 . 706))

>> Now the frame's height doesn't grow but shrinks on GTK:
>>
>> ((outer-size 694 . 690) (outer-size 694 . 738))
>
> Here when I start a GTK3 build with
>
> emacs -Q -f tool-bar-mode
>
> and do
>
> (let ((initial (assq 'outer-size (frame-geometry))))
>   (tool-bar-mode 1)
>   (tool-bar-mode 0)
>   (list (assq 'outer-size (frame-geometry)) initial))
>
> I get
>
> ((outer-size 762 . 697) (outer-size 762 . 697))
>
> an invariable frame height of 36, a frame pixel height of 648 (which
> sums up correctly with a menu bar height of 25, a title bar height of 14
> and an external border of 5 pixels) and no visible change of any kind.

I get in a GTK3 build

((outer-size 694 . 690) (outer-size 694 . 690))

(frame-height)
36

>> Do you think now it's improved?
>
> It's up to you to decide.  I can try to fix all inconsistencies you
> still see.

Thanks.

> As far as outer sizes are concerned be aware that snippets like
>
> (progn
>   (tool-bar-mode 1)
>   (assq 'outer-size (frame-geometry)))
>
> might not tell the whole truth because the frame geometry may not have
> changed yet at the time you call that function.  And please make sure
> to associate every result you report with the corresponding toolkit.

Noted 👍.